Subject: [netatalk-admins] Problems with PAPD

From: [email-masked] (Rick Kleffel)
Date: Thu, 20 Nov 97 07:16:34 PST

Sirs,

I am having problems getting papd to work.  We are using Apple System 7.x,
Laserwriter 8 drivers.  

The atalk daemon is running on Sun Sparc 5, SunOS 4.1.4.

Here's the papd.conf:

chronos-little:\
	:lp=:rm=chronos:rp=little:\
	:pd=/usr/atalk/etc/ppd/lzr_1560.ppd:\
	:lf=/usr/adm/lpd-errs:

The printer is local to chronos.  Here's the printcap:

little|post1|Asize|dp11|littlep|Asizep|dp11p:\
	:lp=/dev/pm00:\
	:sd=/usr/spool/little:\
	:of=/usr/local/bin/littlepr:\
	:ms=-opost:sh:\

Here's the atalkd.conf:

le0 -phase 2 -net 2 -addr 2.140 -zone "EtherTalk"

Here's what I get in lpd-errs:

Nov 20 06:59:46 chronos papd[2075]: restart
Nov 20 06:59:52 chronos papd[2075]: register chronos-little:LaserWriter@*
Nov 20 07:00:37 chronos papd[2075]: child 2138 for "chronos-little" from 2.26

ps -axl yields:

 88001   0  2138  2075  0   1  0  56  200 select   S    ?   0:00 /usr/atalk/e

Presumably, this should work.  However, the mac is Can't open printer'.

It also says that 'lj is ready and printing[]' the '[]' is actually a square
control character.  

I'm hoping that there is some obvious step that I am missing.  

The printer is a Dataproducts LZR 1560.  I obtained the ppd file from the Adobe
site.  here is the head of the file:

*PPD-Adobe: "4.0"
*% Adobe Systems PostScript(R) Printer Description File
*% Copyright 1987-1993 Adobe Systems Incorporated. 
*% All Rights Reserved. 
*% Permission is granted for redistribution of this file as
*% long as this copyright notice is intact and the contents
*% of the file is not altered in any way from its original form.
*% End of Copyright statement
*FormatVersion: "4.0"
*FileVersion: "1.4"

The file is in the correct format; that is, there are line breaks.

Thanks,

--Rick Kleffel (Bartleby The Scrivener)